
QGIS Application - Bug report #17042

Invisible cursor

2017-08-21 12:12 PM - Pedro Lino

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.18.11 Regression?: No

Operating System: Windows 7 Pro x64 SP1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24941

Description

Cursor becomes invisible when it is located on a layer with color #808080

History

#1 - 2017-08-21 02:16 PM - Richard Duivenvoorde

Are you sure? With me almost all cursors are black with a white outline around it, so it will be visible on every kind of background color.

Can you share a screendump of your cursor ( NOT on #808080 background :-) )?

Is it only with a certain tool? Or is it always?

To me all tools have different cursors..

Which Operating System are we talking about here? (I'm on Debian)

#2 - 2017-08-21 02:17 PM - Richard Duivenvoorde

- Status changed from Open to Feedback

#3 - 2017-08-21 03:39 PM - Pedro Lino

- File Transparent_cursor.png added

Richard Duivenvoorde wrote:

Can you share a screendump of your cursor ( NOT on #808080 background :-) )?

Done. The cursor I'm referring to is the default cross cursor. In the image attached it is located in the top half of the image, to the right of the word Fuzeta.

It is visible that the top arm of the cross which is over a #808080 color layer is missing.

Which Operating System are we talking about here? (I'm on Debian)

I forgot that detail (the other bug trackers I contribute to include the OS as a detail). I'm running QGIS on Windows 7 Pro x64 SP1

In fact I detected this on 2.18.12. I reverted to 2.18.11 to make sure it wasn't a regression (and 2.18.12 is not available yet on the version list)

#4 - 2017-08-21 04:49 PM - Giovanni Manghi
- File Screenshot_20170821_154834.png added

- File Screenshot_20170821_154731.png added

Pedro Lino wrote:

Richard Duivenvoorde wrote:

Can you share a screendump of your cursor ( NOT on #808080 background :-) )?

Done. The cursor I'm referring to is the default cross cursor. In the image attached it is located in the top half of the image, to the right of the word

Fuzeta.

It is visible that the top arm of the cross which is over a #808080 color layer is missing.

cannot confirm on the same platform, see attached image.

Funny I will be on vacation at Fuzeta next week :)

Which Operating System are we talking about here? (I'm on Debian)

I forgot that detail (the other bug trackers I contribute to include the OS as a detail).

see other attached image.

#5 - 2017-08-21 05:52 PM - Pedro Lino

Ciao Giovanni

cannot confirm on the same platform, see attached image.

I'm using the Windows Aero (very large) cursor scheme. Switching mouse theme does not solve the problem on both my Windows 7 PCs (desktop and

laptop) unless I use the Inverted cursor.

Funny I will be on vacation at Fuzeta next week :)

Yes, I remember your problems with the local icecream shop :) I recommend a visit to Gelato Davvero in Olhão ;)

Which Operating System are we talking about here? (I'm on Debian)

I forgot that detail (the other bug trackers I contribute to include the OS as a detail).

see other attached image.

I missed that field (I'm used to a drop list). Can you please fill it for me? Apparently bug reporters can not modify the original post.

#6 - 2017-08-21 09:27 PM - Giovanni Manghi
- Category changed from GUI to Map Canvas

- Operating System set to Windows 7 Pro x64 SP1

Pedro Lino wrote:

Ciao Giovanni

Olá :)

cannot confirm on the same platform, see attached image.

I'm using the Windows Aero (very large) cursor scheme. Switching mouse theme does not solve the problem on both my Windows 7 PCs (desktop

and laptop) unless I use the Inverted cursor.

can you share the project+data?

Yes, I remember your problems with the local icecream shop :) I recommend a visit to Gelato Davvero in Olhão ;)

will do, thanks for the tip!

#7 - 2017-08-22 12:47 PM - Pedro Lino

Giovanni Manghi wrote:

can you share the project+data?

Sure.

https://ombx.io/4oa0D8aV

(The 7z file is a little over the Redmine 5MB limit)

#8 - 2017-08-23 09:24 AM - Giovanni Manghi

- File Screenshot_20170823_081520.png added

Pedro Lino wrote:

Giovanni Manghi wrote:

can you share the project+data?

Sure.

https://ombx.io/4oa0D8aV

(The 7z file is a little over the Redmine 5MB limit)

still ok here (image attached), also switched to the same areo very large theme.
#9 - 2017-09-25 04:32 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

Transparent_cursor.png 174 KB 2017-08-21 Pedro Lino

Screenshot_20170821_154731.png 158 KB 2017-08-21 Giovanni Manghi

Screenshot_20170821_154834.png 134 KB 2017-08-21 Giovanni Manghi

Screenshot_20170823_081520.png 167 KB 2017-08-23 Giovanni Manghi
